ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tom McGlynn <tmcgl...@ieee.org>
Subject Re: How do I change the default conflict manager?
Date Mon, 02 Apr 2012 20:44:01 GMT
In ivysettings.xml:

<settings defaultConflictManager="lastest-compatible" />

On Mon, Apr 2, 2012 at 4:21 PM, David Goblirsch <
dgoblirsch@interactivebrokers.com> wrote:

> How can I change the default conflict manager from
>
> latest-revision
>
> to
>
> latest-compatible?
>
> I work at a site where we have 300+ ivy projects, and every time
> I put out a new 3rd party jar the builds all break unless I start at
> the bottom of the dependency hierarchy and rebuild everything. Updating
> to Spring 3.1 from 3.0, Hibernate 3.6.5 from 3.6.4, etc. causes failures
> unless trigger a monster rebuild from the lowest-level projects.
>
> I am unable to find in the documentation the magic system property,
> if any, that allows me to do this by default instead of requiring that
> all of the projects do it individually (yuck).
>
> I saw Archie Cobb's posts; I am not asking that the default ivy
> out-of-the-box
> be changed. I just want a magic incantation for my site in the master
> settings
> file. We do not use version numbers on most of our internal jars, and
> we do not produce jars for outside use.
>
> Thanks.
>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message